From: "Sven Wegener" <swegener@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/systemtap/
Date: Wed, 12 May 2021 20:57:38 +0000 (UTC) [thread overview]
Message-ID: <1620853043.043d596a8a7bf060384714ab063f6b8313365430.swegener@gentoo> (raw)
commit: 043d596a8a7bf060384714ab063f6b8313365430
Author: Sven Wegener <swegener <AT> gentoo <DOT> org>
AuthorDate: Wed May 12 20:54:36 2021 +0000
Commit: Sven Wegener <swegener <AT> gentoo <DOT> org>
CommitDate: Wed May 12 20:57:23 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=043d596a
dev-util/systemtap: Version bump to 4.5
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Sven Wegener <swegener <AT> gentoo.org>
dev-util/systemtap/Manifest | 1 +
dev-util/systemtap/systemtap-4.5.ebuild | 115 ++++++++++++++++++++++++++++++++
2 files changed, 116 insertions(+)
diff --git a/dev-util/systemtap/Manifest b/dev-util/systemtap/Manifest
index 7a49d47e893..e7cf61fc39b 100644
--- a/dev-util/systemtap/Manifest
+++ b/dev-util/systemtap/Manifest
@@ -1,2 +1,3 @@
DIST systemtap-4.0.tar.gz 5282312 BLAKE2B 9eac1cf9c9f13255ac12642c910b5591b0f5380b2a6337dedcb3d20785c0416900b9bee05f239632f7c548812be35ae90b24f524ab6f5c0c6ef474cf5de834a1 SHA512 66b5ba1902ed974101429dce9fee849273d3dc64e862c057177d158c5f284cc93299819ee8ee49d4bd3b7ff47a3512b1c68b74cad374147ce67fa406c7518c79
DIST systemtap-4.4.tar.gz 5532282 BLAKE2B bcb2f744ad09821ce63d78b3e86eb489013aed247952c72d3dbc4cc6fc1a2b85f948b71c622487876f43b615c147eb1624b2c146e9b4176e3c91e2b7cbef9ea0 SHA512 8fb1fe5071ec99ce3c6bcf82afdc98a3e1abc0ea937f3019b225c3a1879ada30080740b1918a84c6db06fe1893e6d1e7dc84be26c7e597d7feda1efe11354e76
+DIST systemtap-4.5.tar.gz 5549909 BLAKE2B 3c180a49c81070cb374ae23f95f1e90cc3cf2550170363793f46584b201c2284b2ee639f395d73ed6c5b44160825b3cf128bd360b81bc243e71c98e71d779f48 SHA512 8136779a9f5cb0fbaae565eab1ab6fa307f1024dfc2c6c3845acfadff0eecc684ba89aa5d442c7b90c2c73edaab41ca07bae2bad8361f80fe8e9928b40466cd3
diff --git a/dev-util/systemtap/systemtap-4.5.ebuild b/dev-util/systemtap/systemtap-4.5.ebuild
new file mode 100644
index 00000000000..5a36994ebf6
--- /dev/null
+++ b/dev-util/systemtap/systemtap-4.5.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit linux-info python-single-r1
+
+DESCRIPTION="A linux trace/probe tool"
+HOMEPAGE="https://www.sourceware.org/systemtap/"
+SRC_URI="https://www.sourceware.org/${PN}/ftp/releases/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="libvirt selinux sqlite +ssl test zeroconf"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-libs/elfutils-0.142
+ dev-libs/json-c:=
+ sys-libs/ncurses:0=
+ sys-libs/readline:0=
+ ${PYTHON_DEPS}
+ libvirt? ( >=app-emulation/libvirt-1.0.2 )
+ selinux? ( sys-libs/libselinux )
+ sqlite? ( dev-db/sqlite:3 )
+ ssl? (
+ dev-libs/nspr
+ dev-libs/nss
+ )
+ zeroconf? ( net-dns/avahi )
+"
+DEPEND="${RDEPEND}
+ app-arch/cpio
+ app-text/xmlto
+ $(python_gen_cond_dep '
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ')
+ >=sys-devel/gettext-0.18.2
+ libvirt? ( dev-libs/libxml2 )
+"
+RDEPEND="${RDEPEND}
+ acct-group/stapdev
+ acct-group/stapsys
+ acct-group/stapusr
+"
+BDEPEND="test? ( dev-util/dejagnu )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+CONFIG_CHECK="~KPROBES ~RELAY ~DEBUG_FS"
+ERROR_KPROBES="${PN} requires support for KProbes Instrumentation (KPROBES) - this can be enabled in 'Instrumentation Support -> Kprobes'."
+ERROR_RELAY="${PN} works with support for user space relay support (RELAY) - this can be enabled in 'General setup -> Kernel->user space relay support (formerly relayfs)'."
+ERROR_DEBUG_FS="${PN} works best with support for Debug Filesystem (DEBUG_FS) - this can be enabled in 'Kernel hacking -> Debug Filesystem'."
+
+DOCS="AUTHORS HACKING NEWS README"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-ia64.patch
+)
+
+pkg_setup() {
+ linux-info_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ python_fix_shebang .
+
+ sed -i \
+ -e 's:-Werror::g' \
+ configure.ac \
+ Makefile.am \
+ stapbpf/Makefile.am \
+ stapdyn/Makefile.am \
+ staprun/Makefile.am \
+ testsuite/systemtap.unprivileged/unprivileged_probes.exp \
+ testsuite/systemtap.unprivileged/unprivileged_myproc.exp \
+ testsuite/systemtap.base/stmt_rel_user.exp \
+ testsuite/systemtap.base/sdt_va_args.exp \
+ testsuite/systemtap.base/sdt_misc.exp \
+ testsuite/systemtap.base/sdt.exp \
+ scripts/kprobes_test/gen_code.py \
+ || die "Failed to clean up sources"
+
+ default
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-docs
+ --disable-grapher
+ --disable-refdocs
+ --disable-server
+ --enable-pie
+ --with-python3
+ --without-java
+ --without-openssl
+ --without-python2-probes
+ --without-rpm
+ $(use_enable libvirt virt)
+ $(use_enable sqlite)
+ $(use_with zeroconf avahi)
+ $(use_with ssl nss)
+ $(use_with selinux)
+ )
+ PYTHON3="${PYTHON}" \
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ python_optimize
+}
next reply other threads:[~2021-05-12 20:57 UTC|newest]
Thread overview: 79+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-12 20:57 Sven Wegener [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-31 7:16 [gentoo-commits] repo/gentoo:master commit in: dev-util/systemtap/ 罗百科
2023-12-30 22:57 Arsen Arsenović
2023-11-18 16:46 Sam James
2023-08-27 17:37 Sven Wegener
2023-05-01 6:16 Arthur Zamarin
2023-05-01 3:15 Sam James
2023-05-01 2:26 Sam James
2023-04-30 23:56 Sam James
2023-04-30 23:50 Sam James
2023-04-30 23:50 Sam James
2023-04-30 16:48 Arthur Zamarin
2023-01-08 5:17 Sam James
2023-01-08 5:17 Sam James
2023-01-08 5:17 Sam James
2023-01-08 5:17 Sam James
2023-01-08 4:55 Sam James
2023-01-08 4:55 Sam James
2023-01-08 3:37 Sam James
2023-01-08 3:37 Sam James
2022-12-26 1:49 WANG Xuerui
2022-09-03 21:20 Sam James
2022-06-14 7:11 Agostino Sarubbo
2022-06-14 7:11 Agostino Sarubbo
2022-06-13 21:30 Jakov Smolić
2022-06-13 21:00 Jakov Smolić
2022-06-13 10:22 Agostino Sarubbo
2022-06-13 10:21 Agostino Sarubbo
2022-06-13 9:46 Agostino Sarubbo
2022-06-07 21:09 Sam James
2022-05-24 18:58 Sam James
2022-05-01 7:28 Sven Wegener
2021-11-04 20:07 Sam James
2021-07-21 2:22 Yixun Lan
2021-07-16 21:44 Sam James
2021-07-15 21:42 Sam James
2021-07-15 21:42 Sam James
2021-07-15 21:42 Sam James
2021-07-15 21:42 Sam James
2021-05-12 20:57 Sven Wegener
2021-03-18 22:16 Sven Wegener
2021-03-12 20:51 Sven Wegener
2021-01-09 21:38 Sven Wegener
2020-09-19 9:54 Michał Górny
2020-05-23 16:21 Mike Gilbert
2020-04-19 2:35 Craig Andrews
2019-12-24 20:02 Mikle Kolyada
2019-12-23 9:31 Mikle Kolyada
2019-12-15 14:15 Agostino Sarubbo
2019-12-15 14:07 Agostino Sarubbo
2019-12-15 13:24 Sergei Trofimovich
2019-12-15 12:44 Agostino Sarubbo
2019-12-15 11:38 Agostino Sarubbo
2019-04-25 3:52 Aaron Bauman
2019-04-13 7:10 Pacho Ramos
2019-01-24 15:06 Lars Wendler
2019-01-11 13:20 Lars Wendler
2019-01-09 15:54 Jeroen Roovers
2019-01-08 9:26 Lars Wendler
2019-01-08 9:25 Lars Wendler
2019-01-08 9:25 Lars Wendler
2018-06-09 19:42 Mikle Kolyada
2018-03-15 14:39 Mikle Kolyada
2017-12-16 12:15 Jeroen Roovers
2017-12-16 11:43 Jeroen Roovers
2017-11-18 17:52 Sergei Trofimovich
2017-11-13 22:37 Sergei Trofimovich
2017-11-08 20:37 Sergei Trofimovich
2017-11-08 12:51 Tobias Klausmann
2017-11-02 21:49 Manuel Rüger
2017-11-02 21:16 Thomas Deutschmann
2017-10-30 13:27 Sven Wegener
2017-05-31 22:37 Sven Wegener
2017-02-24 10:35 Lars Wendler
2017-02-24 10:35 Lars Wendler
2017-01-26 21:50 James Le Cuirot
2015-10-20 12:23 Lars Wendler
2015-10-20 12:22 Lars Wendler
2015-10-20 12:22 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1620853043.043d596a8a7bf060384714ab063f6b8313365430.swegener@gentoo \
--to=swegener@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox